4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.Dist

Classes: Dist |  |  |  | Fields: DEBUG

## Classes

class Dist(distutils.dist.Distribution)
# Our new Distribution class

### Methods

__init__(self, attrs)
announce(self, message, level=1)
finalize_options(self)
get_command_class(self, command)
get_command_list(self)
handle_display_options(self, option_order)
has_bgen(self)
has_docs(self)
has_idl(self)
has_l10n(self)
has_localstate(self)
has_scripts(self)
has_sysconf(self)
has_tests(self)
parse_command_line(self)
print_commands(self)
print_option_list(self, options, header, max_length)
run_command(self, command)
Do whatever it takes to run a command (including nothing at all, if the command has already been run). Specifically: if we have already created and run the command named by 'command', return silently without doing anything. If the command named by 'command' doesn't even have a command object yet, create one. Then invoke 'run()' on that command object (or an existing one).

### Methods inherited from class distutils.dist.Distribution

dump_option_dicts, find_config_files, get_command_obj, get_command_packages, get_option_dict, has_c_libraries, has_data_files, has_ext_modules, has_headers, has_modules, has_pure_modules, is_pure, parse_config_files, print_command_list, reinitialize_command, run_commands

### Fields

cmd = 'bdist_wininst'
command_mapping = {'bdist': 'BDist', 'bdist_dumb': None, 'bdist_inno': 'BDistInno', 'bdist_install': 'BDistInstall', 'bdist_rpm': 'BDistRpm', 'bdist_wininst': 'BDistWininst', 'build': 'Build', 'build_clib': None, 'build_docs': 'BuildDocs', 'build_ext': 'BuildExt', ...}
display_option_names = ['help_compilers', 'help_commands', 'name', 'version', 'fullname', 'author', 'author_email', 'maintainer', 'maintainer_email', 'contact', 'contact_email', 'url', 'license', 'licence', 'description', 'long_description', 'platforms', 'classifiers', 'keywords']
display_options = [('help-compilers', None, 'list available compilers'), ('help-commands', None, 'list all available commands'), ('name', None, 'print package name'), ('version', 'V', 'print package version'), ('fullname', None, 'print <package name>-<version>'), ('author', None, "print the author's name"), ('author-email', None, "print the author's email address"), ('maintainer', None, "print the maintainer's name"), ('maintainer-email', None, "print the maintainer's email address"), ('contact', None, "print the maintainer's name if known, else the author's"), ('contact-email', None, "print the maintainer's email address if known, else the author's"), ('url', None, 'print the URL for this package'), ('license', None, 'print the license of the package'), ('licence', None, 'alias for --license'), ('description', None, 'print the package description'), ('long-description', None, 'print the long package description'), ('platforms', None, 'print the list of platforms'), ('classifiers', None, 'print the list of classifiers'), ('keywords', None, 'print the list of keywords')]
ordered_commands = ['config', 'build', 'clean', 'install', 'sdist', 'bdist', 'generate']

### Fields

DEBUG = None